Bug 492930 - ACPI-Problem with HP Compaq nc6320
ACPI-Problem with HP Compaq nc6320
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-30 15:49 EDT by Daniel Laczi
Modified: 2013-01-10 02:59 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:09:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
acpidump output (310.69 KB, text/plain)
2009-03-31 15:23 EDT, Daniel Laczi
no flags Details

  None (edit)
Description Daniel Laczi 2009-03-30 15:49:02 EDT
Description of problem:
Turning off the monitor by pushing the lid button does not work as expected.

Version-Release number of selected component (if applicable):
Any kernel I know. On Fedora 10 I have installed:
kernel-2.6.27.9-159.fc10.i686
kernel-2.6.27.12-170.2.5.fc10.i686
kernel-2.6.27.15-170.2.24.fc10.i686
kernel-2.6.27.19-170.2.35.fc10.i686

How reproducible:
Push the lid button.

Steps to Reproduce:
1. Battery must be fully charged and
2. power must be supplied by the ac adapter. Then
3. power on the notebook and
4. push the lid button. The monitor is not switching off.
 
Actual results:
The notebooks monitor is not switching off, when the lid button is being
pushed. This is only, when the system is being bootet with the ac
adapter plugged and the battery fully charged.
When the laptop is in battery mode or the battery is being charged, the
lid button works correctly!
The lid button also works correctly, when the ac adapter is plugged to
the laptop after it was in one of the modes described before (charging,
battery-mode).
I think there may be two or more ACPI-profiles.
I tested booting the system with all the parameters on
http://fedoraproject.org/wiki/KernelCommonProblems#Crashes.2FHangs but
it only works correctly with acpi=off.

Expected results:
The lid buttons behaviour should not depend on the laptops charging-state.
Comment 1 Matthew Garrett 2009-03-30 15:59:04 EDT
Can you run the command

lshal -m

and press the lid switch? Is an event generated?
Comment 2 Daniel Laczi 2009-03-31 13:24:31 EDT
No, there is not any event generated.

But when I unplug and plug in the ac adapter there is generated:

19:19:39.829: computer_power_supply_ac_adapter_C1BA property ac_adapter.present = false
19:19:39.882: computer_power_supply_battery_C1BC property battery.remaining_time = 4353 (0x1101) (new)
19:19:39.884: computer_power_supply_battery_C1BC property battery.charge_level.rate = 37260 (0x918c)
19:19:39.885: computer_power_supply_battery_C1BC property battery.rechargeable.is_discharging = true
19:19:39.886: computer_power_supply_battery_C1BC property battery.reporting.rate = 3450 (0xd7a)
19:19:39.889: computer_power_supply_battery_C1BC property battery.voltage.current = 12275 (0x2ff3)
19:19:39.960: computer property power_management.is_powersave_set = true
19:19:41.793: computer_power_supply_battery_C1BC property battery.remaining_time = 8025 (0x1f59)
19:19:41.795: computer_power_supply_battery_C1BC property battery.charge_level.rate = 20206 (0x4eee)
19:19:41.798: computer_power_supply_battery_C1BC property battery.charge_level.current = 45046 (0xaff6)
19:19:41.799: computer_power_supply_battery_C1BC property battery.reporting.current = 4171 (0x104b)
19:19:41.801: computer_power_supply_battery_C1BC property battery.reporting.rate = 1871 (0x74f)
19:19:41.802: computer_power_supply_battery_C1BC property battery.voltage.current = 12242 (0x2fd2)
19:19:43.597: computer_power_supply_battery_C1BC property battery.remaining_time = 10055 (0x2747)
19:19:43.600: computer_power_supply_battery_C1BC property battery.charge_level.rate = 16124 (0x3efc)
19:19:43.602: computer_power_supply_battery_C1BC property battery.charge_level.current = 45036 (0xafec)
19:19:43.604: computer_power_supply_battery_C1BC property battery.reporting.current = 4170 (0x104a)
19:19:43.606: computer_power_supply_battery_C1BC property battery.reporting.rate = 1493 (0x5d5)
19:19:43.607: computer_power_supply_battery_C1BC property battery.voltage.current = 12241 (0x2fd1)
19:19:52.922: computer_power_supply_battery_C1BC property battery.remaining_time = 12252 (0x2fdc)
19:19:52.925: computer_power_supply_battery_C1BC property battery.charge_level.rate = 13219 (0x33a3)
19:19:52.928: computer_power_supply_battery_C1BC property battery.charge_level.current = 44992 (0xafc0)
19:19:52.929: computer_power_supply_battery_C1BC property battery.reporting.current = 4166 (0x1046)
19:19:52.931: computer_power_supply_battery_C1BC property battery.reporting.rate = 1224 (0x4c8)
19:19:52.932: computer_power_supply_battery_C1BC property battery.voltage.current = 12221 (0x2fbd)
19:19:53.213: computer_power_supply_ac_adapter_C1BA property ac_adapter.present = true
19:19:53.284: computer property power_management.is_powersave_set = false
19:20:01.028: computer_power_supply_battery_C1BC property battery.remaining_time removed
19:20:01.028: computer_power_supply_battery_C1BC property battery.charge_level.rate = 0 (0x0)
19:20:01.032: computer_power_supply_battery_C1BC property battery.rechargeable.is_discharging = false
19:20:01.035: computer_power_supply_battery_C1BC property battery.reporting.rate = 0 (0x0)
19:20:01.040: computer_power_supply_battery_C1BC property battery.voltage.current = 12418 (0x3082)

After that pressing the lid switch works as expected and described in the description and there is generated:

19:20:59.451: computer_logicaldev_input_3 property button.state.value = true
19:20:59.454: computer_logicaldev_input_3 condition ButtonPressed = lid
19:21:00.064: computer_logicaldev_input_3 property button.state.value = false
19:21:00.067: computer_logicaldev_input_3 condition ButtonPressed = lid
Comment 3 Matthew Garrett 2009-03-31 13:33:09 EDT
Could you please install the pmtools package, run the acpidump command and attach the output to this bug?
Comment 4 Daniel Laczi 2009-03-31 15:23:24 EDT
Created attachment 337391 [details]
acpidump output
Comment 5 Robert Scheck 2009-04-10 12:26:32 EDT
Matthew, anything new from your side regarding this?
Comment 6 Bug Zapper 2009-11-18 06:38:56 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-12-18 04:09:26 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.